Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class DHTMLRow

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.DHTMLElement
                  |
                  +--oracle.jdeveloper.html.DHTMLRow

public class DHTMLRow
extends DHTMLElement

Version:
  PUBLIC

Field Summary
`protected int` | `childCount`
`protected java.lang.String` | `nodeImage`
`protected boolean` | `populated`
`protected java.lang.String` | `state`
`protected java.lang.String` | `text`
`protected java.lang.String` | `url`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`DHTMLRow()`

Method Summary
`int` | `getChildCount()`
`java.lang.String` | `getNodeImage()`
`boolean` | `getPopulated()`
`java.lang.String` | `getState()`
`java.lang.String` | `getText()`
`java.lang.String` | `getUrl()`
`void` | `render(java.io.PrintWriter out)`
`void` | `setChildCount(int childCount)`
`void` | `setNodeImage(java.lang.String url)`
`void` | `setPopulated(boolean populated)`
`void` | `setState(java.lang.String state)`
`void` | `setText(java.lang.String text)`
`void` | `setUrl(java.lang.String url)`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text

    protected java.lang.String text

### state

    protected java.lang.String state

### childCount

    protected int childCount

### url

    protected java.lang.String url

### nodeImage

    protected java.lang.String nodeImage

### populated

    protected boolean populated

Constructor Detail

### DHTMLRow

    public DHTMLRow()

Method Detail

### setText

    public void setText(java.lang.String text)

### getText

    public java.lang.String getText()

### setState

    public void setState(java.lang.String state)

### getState

    public java.lang.String getState()

### setChildCount

    public void setChildCount(int childCount)

### getChildCount

    public int getChildCount()

### setUrl

    public void setUrl(java.lang.String url)

### getUrl

    public java.lang.String getUrl()

### setNodeImage

    public void setNodeImage(java.lang.String url)

### getNodeImage

    public java.lang.String getNodeImage()

### setPopulated

    public void setPopulated(boolean populated)

### getPopulated

    public boolean getPopulated()

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Overrides:
    render in class HTMLElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD